%define upstream_name    Mojolicious-Plugin-AssetPack
%define upstream_version 1.07

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Preprocessor for CoffeeScript
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Mojolicious/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Which) >= 1.210.0
BuildRequires: perl(IPC::Run3) >= 0.48.0
BuildRequires: perl(Mojolicious) >= 6.500.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildArch:  noarch

%description
the Mojolicious::Plugin::AssetPack manpage is a the Mojolicious manpage
plugin which can be used to cram multiple assets of the same type into one
file. This means that if you have a lot of CSS files (.css, .less, .sass,
...) as input, the AssetPack can make one big CSS file as output. This is
good, since it will often speed up the rendering of your page. The output
file can even be minified, meaning you can save bandwidth and browser
parsing time.

The core preprocessors that are bundled with this module can handle CSS and
JavaScript files, written in many languages.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun May 08 2016 shlomif <shlomif> 1.70.0-1.mga6
+ Revision: 1010679
- update to 1.07

* Tue Dec 22 2015 doktor5000 <doktor5000> 0.690.0-1.mga6
+ Revision: 913440
- imported package perl-Mojolicious-Plugin-AssetPack

